### Virtual Method

# Gio Volume get_identifier

#### Declaration

    char*
    get_identifier (
      GVolume* volume,
      const char* kind
    )

#### Description

Gets the identifier of the given kind for `volume`. See the introduction for more information about volume identifiers.

#### Parameters

`kind`

  Type: `const char*`

  The kind of identifier to return.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `char*`

A newly allocated string containing the requested identifier, or `NULL` if the `GVolume` doesn’t have this kind of identifier.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.